<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white">

    <androidx.constraintlayout.utils.widget.ImageFilterView
        android:id="@+id/avatar"
        android:layout_width="45dp"
        android:layout_height="45dp"
        android:layout_marginVertical="10dp"
        android:layout_marginStart="15dp"
        android:src="@drawable/ic_avatar"
        app:roundPercent="0.3"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_nickname"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:text="kaixed"
        android:textColor="@color/black"
        app:layout_constraintBottom_toBottomOf="@id/guide"
        app:layout_constraintStart_toEndOf="@id/avatar"
        app:layout_constraintTop_toTopOf="@id/avatar" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guide"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@id/avatar"
        app:layout_constraintGuide_percent="0.5"
        app:layout_constraintTop_toTopOf="@id/avatar" />


    <TextView
        android:id="@+id/tv_content"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        app:layout_constraintBottom_toBottomOf="@id/avatar"
        app:layout_constraintStart_toEndOf="@id/avatar"
        app:layout_constraintTop_toTopOf="@id/guide" />

    <TextView
        android:id="@+id/tv_timestamp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="20dp"
        android:text="昨天"
        app:layout_constraintBottom_toBottomOf="@id/tv_nickname"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_nickname" />


</androidx.constraintlayout.widget.ConstraintLayout>